Subject: Re: linux-next: build failure after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Mon, 2 May 2022 13:40:45 +0200

On Mon, May 02, 2022 at 09:07:28PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the usb tree, today's linux-next build (x86_64
> modules_install) failed like this:
> 
> depmod: ERROR: Cycle detected: usbcore -> onboard_usb_hub -> usbcore
> depmod: ERROR: Found 2 modules in dependency cycles!
> 
> Caused by commit
> 
>   c40b62216c1a ("usb: core: hcd: Create platform devices for onboard hubs in probe()")
> 
> I have reverted that commit for today.

argh, I thought the build issues were fixed :(

I'll go revert that series from my tree later today, thanks for the
report.

greg k-h